Subject: Re: [net-next-2.6 PATCH v6 4/7 RFC] TCPCT part 1d: define TCP cookie option, extend existing struct's

From: Eric Dumazet <[email-masked]>
Date: Mon, 16 Nov 2009 23:26:04 +0100

William Allen Simpson a écrit :
> Eric Dumazet wrote:
>> I am a bit uneasy on this patch, since apparently you have infrastructure
>> to send DATA payload on SYN, but I thought it was an optional part of
>> your 'RFC'
>> and as such, being implemented later ?
>>
> There is nothing yet in this patch series to send data with a SYN.  Back in
> early October, David required that the various s_data and cookie structures
> be compressed and consolidated.  So, for the client side, the cookie_*
> fields are filled and the s_data_* fields are zero (ignored), while the
> server side can have both filled.
> 
> Moreover, *this* patch does nothing other than allocate and deallocate the
> structure, zero filled by kzalloc().
> 
> SYN data will be implemented (much) later.

okay

> 
> 
>> I remember a previous remark from David that our skb queues would not
>> contain
>> DATA on SYN packets...
>>
> I haven't seen anything by David, but there's an existing comment in
> tcp_input.c at the place where SYN data will be added later:
> 

Yep, David comment was about another netdev thread, while tracking an obscure bug

http://www.spinics.net/lists/netdev/msg110759.html

http://www.spinics.net/lists/netdev/msg110764.html

So adding DATA to SYN packets might be problematic for part of our tcp stack.